import { r as registerInstance, h } from './index-b13326fc.js';

var __classPrivateFieldGet = (undefined && undefined.__classPrivateFieldGet) || function (receiver, privateMap) {
    if (!privateMap.has(receiver)) {
        throw new TypeError("attempted to get private field on non-instance");
    }
    return privateMap.get(receiver);
};
var _server;
const BceElementImage = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        _server.set(this, window.BCE.file);
    }
    render() {
        if (!this.template)
            return;
        return this.template.location.map(id => {
            const file = __classPrivateFieldGet(this, _server).get(id);
            return file && h("img", { key: id, src: file.url });
        });
    }
    static get style() { return ":host{display:block;width:auto;text-align:center}:host img{margin:1rem 0;width:auto;max-width:100%;max-height:32rem}\@media screen and (min-width: 1024px){:host{max-width:1200px;text-align:left}}"; }
};
_server = new WeakMap();

export { BceElementImage as bce_element_image };
